=== debian/changelog ===
ros-foxy-warehouse-ros-mongo (2.0.2-1focal) focal; urgency=high

  * [ROS2] Add prerelease tests (#59 <https://github.com/ros-planning/warehouse_ros_mongo/issues/59>)
  * Use libssl-dev build_depend for OpenSSL (#63 <https://github.com/ros-planning/warehouse_ros_mongo/issues/63>)
  * Add CI for Galactic, Rolling (#57 <https://github.com/ros-planning/warehouse_ros_mongo/issues/57>)(#56 <https://github.com/ros-planning/warehouse_ros_mongo/issues/56>)
  * Contributors: Henning Kayser, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 16 Jun 2021 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (2.0.1-1focal) focal; urgency=high

  * Fix installation path for FindMONGODB.cmake (#42 <https://github.com/ros-planning/warehouse_ros_mongo/issues/42>)
  * Fix cmake export of MONGODB dependency (#41 <https://github.com/ros-planning/warehouse_ros_mongo/issues/41>)
  * Contributors: Jafar Abdi, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Apr 2021 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (2.0.0-1focal) focal; urgency=high

  * [ros2-migration] Port to ROS 2 (#38 <https://github.com/ros-planning/warehouse_ros_mongo/issues/38>)
    * Migrate package.xml and cmake files to ROS 2
    * Apply ROS 2 migration steps to source files
    * Compile on ROS 2 Foxy, enable CI
    * Check clang-format, ament_lint
  * Contributors: Yu Yan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.10.0-1focal) focal; urgency=high

  * clang-format-10
  * Python3 compatibility layer for roslaunch in CMake (#35 <https://github.com/ros-planning/warehouse_ros_mongo/issues/35>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Oct 2020 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.9.2-1focal) focal; urgency=high

  * Proper cmake test for mongo/version.h
  * Bump cmake version to 3.0.2
  * ROS test: Start mongodb
  * mongo_wrapper_ros.py: Handle permission errors creating database path
  * python3 syntax compatibility
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 20 Jul 2020 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.9.1-1focal) focal; urgency=high

  * Initialize mongo client only once (#28 <https://github.com/ros-planning/warehouse_ros_mongo/issues/28>)
  * Restore mongod python wrapper
  * Contributors: Masaki Murooka, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 27 Sep 2019 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.9.0-1focal) focal; urgency=high

  * Use std pointers
  * Fix catkin issues
  * Refactored Warehouse ROS for pluginlib
  * Contributors: Christian Rauch, Connor Brew, Dave Coleman, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 13 Aug 2019 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.8.8-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 30 Sep 2014 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.8.5-1focal) focal; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 22 Feb 2014 23:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.8.4-1focal) focal; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.8.2-1focal) focal; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-foxy-warehouse-ros-mongo (0.8.1-1focal) focal; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 22:00:00 -0000
