=== debian/control ===
Source: ros-foxy-warehouse-ros-mongo
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libmongoclient-dev, libssl-dev, mongodb, openssl, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-python, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-cmake, ros-foxy-class-loader, ros-foxy-launch-ros, ros-foxy-launch-testing-ament-cmake, ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-std-msgs, ros-foxy-warehouse-ros, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-foxy-warehouse-ros-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mongodb, openssl, ros-foxy-class-loader, ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-std-msgs, ros-foxy-warehouse-ros, ros-foxy-ros-workspace
Description: Implementation of warehouse_ros for MongoDB
